Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class CCLLineBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.LineBorder
                  |
                  +--ccl.swing.CCLLineBorder

All Implemented Interfaces:
  javax.swing.border.Border, java.io.Serializable

public class CCLLineBorder
extends javax.swing.border.LineBorder

This class can not handle round corners, but it can handle lines with a variety of thickness for each individual line. When no insets where provided when constructing this object, the parent classes behavior is used.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.border.LineBorder
`lineColor, roundedCorners, thickness`

Constructor Summary
`CCLLineBorder(java.awt.Color color)`
`CCLLineBorder(java.awt.Color color, java.awt.Insets insets_)`
`CCLLineBorder(java.awt.Color color, int thickness)`

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)`
`java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets insets_)`
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

Methods inherited from class javax.swing.border.LineBorder
`createBlackLineBorder, createGrayLineBorder, getLineColor, getRoundedCorners, getThickness, isBorderOpaque`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CCLLineBorder

    public CCLLineBorder(java.awt.Color color)

Parameters:
  `color` -

### CCLLineBorder

    public CCLLineBorder(java.awt.Color color,
                         int thickness)

Parameters:
  `color` -
  `thickness` -

### CCLLineBorder

    public CCLLineBorder(java.awt.Color color,
                         java.awt.Insets insets_)

Parameters:
  `color` - color used for each line.
  `insets_` - insets describing the thickness for each individual line.

Method Detail

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c,
                                           java.awt.Insets insets_)

  Overrides:
    `getBorderInsets` in class `javax.swing.border.LineBorder`
  See Also:
    `AbstractBorder.getBorderInsets(java.awt.Component, java.awt.Insets)`

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Specified by:
    `getBorderInsets` in interface `javax.swing.border.Border`
  Overrides:
    `getBorderInsets` in class `javax.swing.border.LineBorder`
  See Also:
    `Border.getBorderInsets(java.awt.Component)`

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`
  Overrides:
    `paintBorder` in class `javax.swing.border.LineBorder`
  See Also:
    `Border.paintBorder(java.awt.Component, java.awt.Graphics, int, int, int, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD